Skip to main content
PUT
/
api
/
public
/
v2
/
webhooks
cURL
curl --location --request PUT 'https://www.headout.com/api/public/v2/webhooks/' \
--header 'Headout-Auth: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
  "url": "https://new-domain.com/webhooks/headout/booking-status",
  "enabled": true
}'
{
  "timestamp": 1756977149760,
  "message": "Webhook configuration updated successfully"
}

Authorizations

Headout-Auth
string
header
required

Body

application/json
url
string<uri>
required

HTTPS URL where webhooks will be delivered (must use HTTPS)

Pattern: ^https://.*
Example:

"https://your-domain.com/webhooks/headout/booking-status"

enabled
boolean
default:true

Whether the webhook is active

Example:

true

Response

Webhook configuration updated successfully

timestamp
integer

Response timestamp in milliseconds

Example:

1642248153000

message
string | null

Response message

Example:

"Webhook configuration created successfully"

error
object
data
object

Response data payload